import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.util.StringTokenizer;

public class Bill {

    BufferedReader bufferedReader = new BufferedReader(new InputStreamReader(System.in));
    StringTokenizer tokenizer;

    public static void main(String[] args) throws IOException {
        new Bill().solve();
    }

    private void solve() throws IOException {
        String line = bufferedReader.readLine();
        long sum = 0;

        while (line != null) {
            if (line.charAt(0) == '|') {
                sum += parseRakeLine(line);
            } else {
                sum += parsePricedLine(line);
            }

            line = bufferedReader.readLine();
        }

        sum = (sum + 9L) / 10L * 10L;
        System.out.println(sum + ",-");
    }

    private int parsePricedLine(String line) {
        String[] splits = line.split(",-");
        int value = Integer.parseInt(splits[0]);
        int mul = 1;
        if (splits.length > 1) {
            mul = splits[1].length();
        }

        return value * mul;
    }

    private int parseRakeLine(String line) {
        int rakes = line.toCharArray().length;
        return rakes * 42;
    }
}
