import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.util.Arrays;

public class Marathon {

    public static void main(String[] args) throws IOException {
        new Marathon().solve();
    }

    int gap;
    int beerCount;
    int[] locations;

    private void solve() throws IOException {
        BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
        String[] line = br.readLine().split(" ");
        beerCount = Integer.parseInt(line[0]);
        gap = Integer.parseInt(line[1]);

        locations = new int[beerCount];
        line = br.readLine().split(" ");
        for (int i = 0; i < beerCount; i++) {
            locations[i] = Integer.parseInt(line[i]);
        }
        Arrays.sort(locations);

        long min = Integer.MAX_VALUE;
        long locMin = locations[0]-(beerCount*gap)/2;
        long locMax = locations[beerCount-1] - (beerCount*gap)/2;

        long priceMin = resolvePrice(locMin);
        long priceMax = resolvePrice(locMax);

        /*while(true) {
            long locCurr = (locMin + locMax) / 2;
            long currPrice = resolvePrice(locCurr);
            if (currPrice < min) {
                min = currPrice;
            }
            if (locMin == locMax) {
                break;
            }
            if (locMin == locMax-1) {
                min = Math.min(priceMin, priceMax);
                break;
            }
            if (priceMin > priceMax) {
                locMin = locCurr;
                priceMin = currPrice;
            } else {
                locMax = locCurr;
                priceMax = currPrice;
            }

        }
        System.out.println(min);*/

        long sum = 0;
        for (int i = 0; i < beerCount; i++) {
            sum += locations[i];
        }
        double average = sum / (double)beerCount;

        sum = 0;
        double minDist = Float.MAX_VALUE;
        int minIndex = -1;
        for (int i = 0; i < locations.length ; i++) {
            double dist = Math.abs(locations[i] - average);
            if (dist < minDist) {
                minIndex = i;
                minDist = dist;
            }
        }

        if (locations[minIndex] < average) {
            if (locations[minIndex+1] - locations[minIndex] > gap) {
                long diff = locations[minIndex+1] - locations[minIndex] + gap;
                locations[minIndex+1] -= diff;
                sum += diff;
            }

            for (int i = minIndex; i < locations.length-1; i++) {
                if (locations[i+1] - locations[i] > gap) {
                    long diff = locations[i+1] - locations[i] + gap;
                    locations[i+1] -= diff;
                    sum += diff;
                }
            }

            for (int i = minIndex; i > 0; --i) {
                if (locations[i] - locations[i-1] > gap) {
                    long diff = locations[i] - locations[i-1] - gap;
                    locations[i] += diff;
                    sum += diff;
                }
            }
        } else {
            if (locations[minIndex] - locations[minIndex-1] > gap) {
                long diff = locations[minIndex] - locations[minIndex-1] - gap;
                locations[minIndex-1] += diff;
                sum += diff;
            }

            for (int i = minIndex; i > 0; --i) {
                if (locations[i] - locations[i-1] > gap) {
                    long diff = locations[i] - locations[i-1] - gap;
                    locations[i] += diff;
                    sum += diff;
                }
            }

            for (int i = minIndex; i < locations.length-1; i++) {
                if (locations[i+1] - locations[i] > gap) {
                    long diff = locations[i+1] - locations[i] + gap;
                    locations[i+1] -= diff;
                    sum += diff;
                }
            }
        }

        System.out.println(sum);

    }

    private long resolvePrice(long x) {
        long ret = 0;
        for (int i = 0; i < beerCount; i++) {
            long currLoc = locations[i];
            long wantedLoc = x + i * gap;
            ret += Math.abs(currLoc - wantedLoc);
        }
        return ret;
    }
}
